Package org.drinkless.tdlib

# Class TdApi.PreparedInlineMessage

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.PreparedInlineMessage

Enclosing class:
  `TdApi`

public static class TdApi.PreparedInlineMessage extends TdApi.Object
Represents a ready to send inline message. Use sendInlineQueryResultMessage to send the message.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `TdApi.TargetChatTypes`
  `chatTypes`
  Types of the chats to which the message can be sent.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `long`
  `inlineQueryId`
  Unique identifier of the inline query to pass to sendInlineQueryResultMessage.
  `TdApi.InlineQueryResult`
  `result`
  Resulted inline message of the query.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PreparedInlineMessage()`
  Represents a ready to send inline message.
  `PreparedInlineMessage(long inlineQueryId, TdApi.InlineQueryResult result, TdApi.TargetChatTypes chatTypes)`
  Represents a ready to send inline message.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### inlineQueryId

    public long inlineQueryId
    Unique identifier of the inline query to pass to sendInlineQueryResultMessage.

  - ### result

    public TdApi.InlineQueryResult result
    Resulted inline message of the query.

  - ### chatTypes

    public TdApi.TargetChatTypes chatTypes
    Types of the chats to which the message can be sent.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### PreparedInlineMessage

    public PreparedInlineMessage()
    Represents a ready to send inline message. Use sendInlineQueryResultMessage to send the message.

  - ### PreparedInlineMessage

    public PreparedInlineMessage(long inlineQueryId, TdApi.InlineQueryResult result, TdApi.TargetChatTypes chatTypes)
    Represents a ready to send inline message. Use sendInlineQueryResultMessage to send the message.
    Parameters:
      `inlineQueryId` - Unique identifier of the inline query to pass to sendInlineQueryResultMessage.
      `result` - Resulted inline message of the query.
      `chatTypes` - Types of the chats to which the message can be sent.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR